A. The following OSs are supported by the beta of SP1 for Windows Server 2008 R2's Hyper-V. It's important to note that you must update the integration services for the VMs (or install SP1 if the VM is running Windows 7 or Server 2008 R2) through the Action, Insert Integration Services Setup Disk option in the virtual machine's connection.

  • Windows Server 2008 R2 Enterprise Edition (64-bit—there's no 32-bit version of Server 2008 R2)
  • Windows Server 2008 R2 Datacenter Edition (64-bit—there's no 32-bit version of Server 2008 R2)
  • Windows 7 Ultimate Edition (32- and 64-bit)
  • Windows 7 Enterprise Edition (32- and 64-bit)
  • Windows Server 2008 Enterprise Edition (32- and 64-bit)
  • Windows Server 2008 Datacenter Edition (32- and 64-bit)
  • Windows Vista Ultimate Edition (32- and 64-bit)
  • Windows Vista Enterprise Edition (32- and 64-bit)
  • Windows Server 2003 R2 Enterprise Edition (32- and 64-bit)
  • Windows Server 2003 R2 Datacenter Edition (32- and 64-bit)
  • Windows Server 2003 Enterprise Edition (32- and 64-bit)
  • Windows Server 2003 Datacenter Edition (32- and 64-bit)

Note that while the Server Web and Server Standard SKUs of Windows Server 2008 (and Server 2008 R2) aren't supported for the SP1 beta, they'll be supported at the SP1 final release (and possibly in later public builds, if there are any).